<?php
session_start();
include_once('../Repositorio/BuscaGrupos.php');

// Verifique se o formulário foi submetido
if ($_SERVER["REQUEST_METHOD"] == "POST") {

  if (isset($_POST["acao"])) {
    $acao = $_POST["acao"];
    $gerenciadorGrupos = new GerenciadorGrupos();
    if (isset($_POST["grupo"])) {
        $grupo = $_POST["grupo"];
        if( strlen(Trim($grupo)) <= 0 ) {
          $_SESSION['Erro'] = 'Preencha o grupo';
          header("Location: ../../Forms/CadastroGrupoAcesso.php?idgrupo=0");
          exit;
        }
    }
    if (isset($_POST["idgrupo"])) {
      $idgrupo = $_POST["idgrupo"];
    }

    if ($acao == 'inserir') {
      $id_inserido = $gerenciadorGrupos->inserirGrupo(Trim(strtoupper($grupo)));
    } else {
      // DELETA OS ITENS DO GRUPO TODA VEZ
      $insere = $gerenciadorGrupos->contaregistros($idgrupo);
      $gerenciadorGrupos->editarGrupo($idgrupo,$_SESSION['usuarioID'],Trim(strtoupper($grupo)));
    }
    if ($idgrupo == 0 ) {
      $idgrupo = $id_inserido;
    }
    /* TABELAS */
    $criatab = !empty($_POST['criatab']) ? 'Sim' : 'Não';
    $edittab = !empty($_POST['edittab']) ? 'Sim' : 'Não';
    $excltab = !empty($_POST['excluitab']) ? 'Sim' : 'Não';
    $seletab = !empty($_POST['seletab']) ? 'Sim' : 'Não';
    $updtab  = !empty($_POST['updtab']) ? 'Sim' : 'Não';
    $deltab  = !empty($_POST['deltab']) ? 'Sim' : 'Não';

    /* VIEWS */
    $criaview  = !empty($_POST['criaview']) ? 'Sim' : 'Não';
    $dropaview = !empty($_POST['dropaview']) ? 'Sim' : 'Não';

    /* SEQUENCE */
    $criaseq   = !empty($_POST['criasequence']) ? 'Sim' : 'Não';
    $editaseq  = !empty($_POST['editasequence']) ? 'Sim' : 'Não';
    $dropaseq  = !empty($_POST['dropasequence']) ? 'Sim' : 'Não';
    $selectseq = !empty($_POST['selectsequence']) ? 'Sim' : 'Não';

    /* PROCEDURE */
    $criaproc  = !empty($_POST['criaprocedure']) ? 'Sim' : 'Não';
    $editaproc = !empty($_POST['editaprocedure']) ? 'Sim' : 'Não';
    $dropaproc = !empty($_POST['dropaprocedure']) ? 'Sim' : 'Não';

    /* TRIGGER */
    $criatr  = !empty($_POST['criatrigger']) ? 'Sim' : 'Não';
    $editatr = !empty($_POST['editatrigger']) ? 'Sim' : 'Não';
    $dropatr = !empty($_POST['dropatrigger']) ? 'Sim' : 'Não';

    /* INDICE */
    $criaidx  = !empty($_POST['criaindex']) ? 'Sim' : 'Não';
    $editaidx = !empty($_POST['editaindex']) ? 'Sim' : 'Não';
    $dropaidx = !empty($_POST['dropaindex']) ? 'Sim' : 'Não';

    // INSERE OS ITENS COM OS VALORES QUE CHEGAREM

    if ($insere == 0) {
      $gerenciadorGrupos->inserirDetalhes($idgrupo,$criatab,$edittab,$excltab,$seletab,$updtab,$deltab,$criaview,$dropaview,$criaseq,$editaseq,$dropaseq,$selectseq
                                        ,$criaproc,$editaproc,$dropaproc,$criatr,$editatr,$dropatr,$criaidx,$editaidx,$dropaidx);
    } else {
      $gerenciadorGrupos->editarDetalhes($idgrupo,$criatab,$edittab,$excltab,$seletab,$updtab,$deltab,$criaview,$dropaview,$criaseq,$editaseq,$dropaseq,$selectseq
                                        ,$criaproc,$editaproc,$dropaproc,$criatr,$editatr,$dropatr,$criaidx,$editaidx,$dropaidx,$_SESSION['usuarioID']);
    }



    header("Location: ../../Forms/ListagemGruposAcesso.php");
    exit;

  }

}

?>
